> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zdns/private-zone/deleteprivatezone.md).

# DeletePrivateZone

## 1. 接口描述

本接口(DeletePrivateZone)用于删除指定的内网权威域名。

{% hint style="info" %}
**注意事项**

* 删除内网权威域名前，必须解绑关联的所有VPC。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称   | 必选 | 类型     | 描述                                                                                                                                  |
| ------ | -- | ------ | ----------------------------------------------------------------------------------------------------------------------------------- |
| zoneId | 是  | String | <p>要删除的内网权威域名ID。</p><p>可通过调用 <a href="/api-reference/cn/zdns/private-zone/describeprivatezones.md">DescribePrivateZones</a> 获取。</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 删除指定的内网权威域名。**

```json
POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeletePrivateZone
<Common Request Params>

Request：
{
    "zoneId": "asia-east-1a"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                            | 说明              |
| ------- | ------------------------------ | --------------- |
| 400     | INVALID\_ZONE\_VPC\_ASSOCIATED | Zone关联VPC，无法操作。 |
